curl --request POST \
--url https://certificate.{region}.basaltic.sh/v1/certificates/{certificate_id}/revoke \
--header 'Authorization: Bearer <token>'import requests
url = "https://certificate.{region}.basaltic.sh/v1/certificates/{certificate_id}/revoke"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://certificate.{region}.basaltic.sh/v1/certificates/{certificate_id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"certificate": {
"faults": [
{
"code": "BACKUP_FAILED",
"severity": "error",
"message": "Backup upload failed.",
"details": {},
"first_at": "2023-11-07T05:31:56Z",
"last_at": "2023-11-07T05:31:56Z",
"occurrences": 1
}
],
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"crn": "crn:certificate::my-account:certificate/prod-frontend",
"name": "prod-frontend",
"domains": [
"example.com",
"www.example.com",
"api.example.com"
],
"status": "active",
"source": "acme",
"key_algorithm": "ecdsa-p256",
"challenges": [
{
"faults": [
{
"code": "BACKUP_FAILED",
"severity": "error",
"message": "Backup upload failed.",
"details": {},
"first_at": "2023-11-07T05:31:56Z",
"last_at": "2023-11-07T05:31:56Z",
"occurrences": 1
}
],
"domain": "*.example.com",
"cname_record_name": "_acme-challenge.example.com.",
"expected_cname": "a1b2c3d4e5f6g7h8.acme.basaltic.cloud.",
"our_dns": true,
"verified": true,
"verified_at": "2026-01-15T09:28:00Z"
}
],
"certificate_pem": "-----BEGIN CERTIFICATE-----\nMIIDdzCCAl+gAwIBAgIEAaH...\n-----END CERTIFICATE-----\n",
"chain_pem": "-----BEGIN CERTIFICATE-----\nMIIEFzCCAv+gAwIBAgIEBb2...\n-----END CERTIFICATE-----\n",
"fingerprint": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2",
"issued_at": "2026-01-15T09:30:00Z",
"expires_at": "2026-04-15T09:30:00Z",
"tags": {
"environment": "production",
"team": "backend"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "CONFLICT",
"message": "Resource with this name already exists",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "IDEMPOTENCY_KEY_REUSED",
"message": "This Idempotency-Key was already used with a different request payload",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Revogar o certificado
Solicite a revogação através da plataforma CA e inverta o certificado para revogado. Async — retorna 202 com o certificado em seu estado anterior; poll GET até status=revoked.
Os certificados carregados são revogados localmente sem entrar em contato com a CA. Revogar um certificado já revogado é uma operação não permitida.
certificate:RevokeCertificate. Consulte permissões de certificados para obter a lista completa, o que cada uma cobre e um exemplo de política.Autorizações
Um token bearer OAuth 2.0, enviado como Authorization: Bearer <token>. Esta é a forma recomendada de autenticação.
Obtenha o token trocando o par de chaves de acesso de uma conta de serviço em POST /v1/oauth/token com grant_type=client_credentials. Esse é o fluxo padrão de credenciais de cliente; bibliotecas compatíveis com OAuth podem obter e renovar o token para você.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Os tokens duram uma hora por padrão. O mesmo par de chaves de acesso também serve como credencial AWS SigV4 para o endpoint de objetos compatível com S3, que aceita somente esse método de autenticação.
Cabeçalhos
Chave opcional gerada pelo cliente que torna uma criação segura para reprodução. A reintentar uma solicitação com a mesma chave retorna o resultado original literalmente em vez de criar um recurso duplicado. A reutilização de uma chave com um corpo de solicitação diferente é rejeitada (422); uma solicitação cuja chave ainda está sendo processada retorna 409. Os registros são honrados por 24 horas. Use um UUID ou token exclusivo semelhante.
255Parâmetros de caminho
ID do certificado
Resposta
Revogação iniciada
Show child attributes
Show child attributes

